Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.tcpip.model.state
Class SingleIntegerStateImpl

    java.lang.Object
      com.stc.connector.tcpip.model.state.SingleIntegerStateImpl

All Implemented Interfaces:
  State, java.io.Serializable

    public class SingleIntegerStateImpl

extends java.lang.Object
implements State, java.io.Serializable

A simple State which contains a single integer only.

Version:
  cvs revision: $Revision: 1.4 $ Last Modified: $Date: 2008/03/03 15:36:01 $
Author:
  Harry Liu
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `version`

Fields inherited from interface com.stc.connector.tcpip.model.state.State
`SCOPE_COLLABORATION, SCOPE_CONNECTION, SCOPE_OTD, SCOPE_PERSISTENCE, SCOPE_RESOURCE_ADAPTER`

Constructor Summary
`SingleIntegerStateImpl()` Constructor for SingleIntegerStateImpl.
`SingleIntegerStateImpl(int value)` Constructor for SingleIntegerStateImpl.

Method Summary
`int` | `getStateValue()` Returns the stateValue.
`void` | `setStateValue(int stateValue)` Sets the stateValue.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### version

    public static final java.lang.String version

See Also:
  Constant Field Values

Constructor Detail

### SingleIntegerStateImpl

    public SingleIntegerStateImpl()

  Constructor for SingleIntegerStateImpl. The initial state value is set to 0.

### SingleIntegerStateImpl

    public SingleIntegerStateImpl(int value)

  Constructor for SingleIntegerStateImpl.

  Parameters:
    `value` - The stateValue to set

Method Detail

### getStateValue

    public int getStateValue()

  Returns the stateValue.

  Returns:
    int

### setStateValue

    public void setStateValue(int stateValue)

  Sets the stateValue.

  Parameters:
    `stateValue` - The stateValue to set

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`
  See Also:
    `Object.toString()`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD